[SCM] Debian Live initramfs hook branch, master, updated. upstream/1.154.8-1-11-g401f283

Daniel Baumann daniel at debian.org
Sat Feb 7 23:52:43 UTC 2009


The following commit has been merged in the master branch:
commit bbbc00ce52f9bca6f69cf6dd3f20e6e188ca0d4d
Author: Daniel Baumann <daniel at debian.org>
Date:   Sun Feb 8 00:48:34 2009 +0100

    Rewrapping init script.

diff --git a/debian/live-initramfs.init b/debian/live-initramfs.init
index 4371a1a..8b10e90 100644
--- a/debian/live-initramfs.init
+++ b/debian/live-initramfs.init
@@ -39,124 +39,159 @@ grep -qs find_iso= /proc/cmdline && exit 0
 
 # Try to cache everything we're likely to need after ejecting.  This
 # is fragile and simple-minded, but our options are limited.
-cache_path() {
-    path="${1}"
-
-    if [ -d "${path}" ]; then
-        find "${path}" -type f | xargs cat > /dev/null 2>&1
-    elif [ -f "${path}" ]; then
-        if [ -x "${path}" ]; then
-            if file "${path}" | grep -q 'dynamically linked'; then
-                for lib in $(ldd "${path}" | awk '{ print $3 }'); do
-                    cache_path "${lib}"
-                done
-            fi
-        fi
-        cat "${path}" >/dev/null 2>&1
-    fi
+cache_path()
+{
+	path="${1}"
+
+	if [ -d "${path}" ]
+	then
+		find "${path}" -type f | xargs cat > /dev/null 2>&1
+	elif [ -f "${path}" ]
+	then
+		if [ -x "${path}" ]
+		then
+			if file "${path}" | grep -q 'dynamically linked'
+			then
+				for lib in $(ldd "${path}" | awk '{ print $3 }')
+				do
+					cache_path "${lib}"
+				done
+			fi
+		fi
+
+		cat "${path}" >/dev/null 2>&1
+	fi
 }
 
-get_boot_device() {
-    # search in /proc/mounts for the device that is mounted at /live/image
-    while read DEVICE MOUNT REST; do
-        if [ "${MOUNT}" = "/live/image" ]; then
-            echo "${DEVICE}"
-            exit 0
-        fi
-    done < /proc/mounts
+get_boot_device()
+{
+	# search in /proc/mounts for the device that is mounted at /live/image
+	while read DEVICE MOUNT REST
+	do
+		if [ "${MOUNT}" = "/live/image" ]
+		then
+			echo "${DEVICE}"
+			exit 0
+		fi
+	done < /proc/mounts
 }
 
 device_is_USB_flash_drive()
 {
-    # remove leading "/dev/" and all trailing numbers from input
-    DEVICE=$(expr substr ${1} 6 3)
-    # check that device starts with "sd"
-    [ "$(expr substr ${DEVICE} 1 2)" != "sd" ] && return 1
-    # check that the device is an USB device
-    if readlink /sys/block/${DEVICE}/device | grep -q usb ; then
-        return 0
-    fi
-    return 1
+	# remove leading "/dev/" and all trailing numbers from input
+	DEVICE=$(expr substr ${1} 6 3)
+
+	# check that device starts with "sd"
+	[ "$(expr substr ${DEVICE} 1 2)" != "sd" ] && return 1
+
+	# check that the device is an USB device
+	if readlink /sys/block/${DEVICE}/device | grep -q usb
+	then
+		return 0
+	fi
+
+	return 1
 }
 
 do_stop ()
 {
-    if [ ! -z "${ROOTSNAP}" ]; then
-        ${DO_SNAPSHOT} --resync-string="${ROOTSNAP}"
-    fi
-
-    if [ ! -z "${HOMESNAP}" ]; then
-        ${DO_SNAPSHOT} --resync-string="${HOMESNAP}"
-    fi
-
-    # check for netboot
-    if [ ! -z "${NETBOOT}" ] || grep -qs netboot /proc/cmdline || grep -qsi root=/dev/nfs /proc/cmdline  || grep -qsi root=/dev/cifs /proc/cmdline ; then
-        return 0
-    fi
-
-    prompt=1
-    if grep -qs noprompt /proc/cmdline; then
-       prompt=
-    fi
-
-    for path in $(which halt) $(which reboot) /etc/rc?.d /etc/default $(which stty); do
-        cache_path "${path}"
-    done
-
-    for x in $(cat /proc/cmdline); do
-	case ${x} in
-	    quickreboot)
-		QUICKREBOOT="Yes"
-	    ;;
-	esac
-    done
-
-    if [ -z ${QUICKREBOOT} ]; then
-	# TODO: i18n
-	if [ -x /usr/bin/eject ]
+	if [ ! -z "${ROOTSNAP}" ]
 	then
-		BOOT_DEVICE="$(get_boot_device)"
-		if device_is_USB_flash_drive ${BOOT_DEVICE}; then
-			# do NOT eject USB flash drives!
-			# otherwise rebooting with most USB flash drives failes because
-			# they actually remember the "ejected" state even after reboot
-  			MESSAGE="Please remove the USB flash drive"
-		else
-			# ejecting is a very good idea here
-			eject -p -m /live/image >/dev/null 2>&1
-			MESSAGE="Please remove the disc, close the the tray (if any)"
-		fi
+		${DO_SNAPSHOT} --resync-string="${ROOTSNAP}"
+	fi
 
-		[ "$prompt" ] || return 0
+	if [ ! -z "${HOMESNAP}" ]
+	then
+		${DO_SNAPSHOT} --resync-string="${HOMESNAP}"
 	fi
 
-	stty sane < /dev/console
+	# check for netboot
+	if [ ! -z "${NETBOOT}" ] || grep -qs netboot /proc/cmdline || grep -qsi root=/dev/nfs /proc/cmdline  || grep -qsi root=/dev/cifs /proc/cmdline
+	then
+		return 0
+	fi
 
-	echo -n -e "\n\n${MESSAGE} and press ENTER to continue:" > /dev/console
-	if [ -x /sbin/usplash_write ]; then
-	    /sbin/usplash_write "TIMEOUT 86400"
-	    /sbin/usplash_write "TEXT-URGENT ${MESSAGE}"
-	    /sbin/usplash_write "TEXT-URGENT and press ENTER to continue"
+	prompt=1
+	if grep -qs noprompt /proc/cmdline
+	then
+		prompt=
 	fi
 
-	read x < /dev/console
-    fi
+	for path in $(which halt) $(which reboot) /etc/rc?.d /etc/default $(which stty)
+	do
+		cache_path "${path}"
+	done
+
+	for x in $(cat /proc/cmdline)
+	do
+		case ${x} in
+			quickreboot)
+				QUICKREBOOT="Yes"
+				;;
+		esac
+	done
+
+	if [ -z ${QUICKREBOOT} ]
+	then
+		# TODO: i18n
+		if [ -x /usr/bin/eject ]
+		then
+			BOOT_DEVICE="$(get_boot_device)"
+
+			if device_is_USB_flash_drive ${BOOT_DEVICE}
+			then
+				# do NOT eject USB flash drives!
+				# otherwise rebooting with most USB flash drives
+				# failes because they actually remember the
+				# "ejected" state even after reboot
+				MESSAGE="Please remove the USB flash drive"
+			else
+				# ejecting is a very good idea here
+				MESSAGE="Please remove the disc, close the the tray (if any)"
+
+				eject -p -m /live/image >/dev/null 2>&1
+			fi
+
+			[ "$prompt" ] || return 0
+		fi
+
+		stty sane < /dev/console
+
+		echo -n -e "\n\n${MESSAGE} and press ENTER to continue:" > /dev/console
+
+		if [ -x /sbin/usplash_write ]
+		then
+			/sbin/usplash_write "TIMEOUT 86400"
+			/sbin/usplash_write "TEXT-URGENT ${MESSAGE}"
+			/sbin/usplash_write "TEXT-URGENT and press ENTER to continue"
+		fi
+
+		read x < /dev/console
+	fi
 }
 
 case "${1}" in
-    start|restart|reload|force-reload|status)
-        [ "${VERBOSE}" != no ] && log_end_msg 0
-        ;;
-    stop)
-        log_begin_msg "${NAME} is resyncing snapshots and caching reboot files..."
-        do_stop
-        case "${?}" in
-            0|1) [ "${VERBOSE}" != no ] && log_end_msg 0 ;;
-            2) [ "${VERBOSE}" != no ] && log_end_msg 1 ;;
-        esac
-        ;;
-    *)
-        log_success_msg "Usage: ${SCRIPTNAME} {start|stop|restart|force-reload}" >&2
-        exit 3
-        ;;
+	start|restart|reload|force-reload|status)
+		[ "${VERBOSE}" != no ] && log_end_msg 0
+		;;
+
+	stop)
+		log_begin_msg "${NAME} is resyncing snapshots and caching reboot files..."
+		do_stop
+
+		case "${?}" in
+			0|1)
+				[ "${VERBOSE}" != no ] && log_end_msg 0
+				;;
+
+			2)
+				[ "${VERBOSE}" != no ] && log_end_msg 1
+				;;
+		esac
+		;;
+
+	*)
+		log_success_msg "Usage: ${SCRIPTNAME} {start|stop|restart|force-reload}" >&2
+		exit 3
+		;;
 esac

-- 
Debian Live initramfs hook



More information about the debian-live-changes mailing list